Incus - Command line client(1)

NAME

incus-snapshot-create - Create instance snapshot

SYNOPSIS

incus snapshot create [:] [] [flags]

DESCRIPTION

Description:
  Create instance snapshots

When --stateful is used, attempt to checkpoint the instance's
  running state, including process memory state, TCP connections, ...

OPTIONS

--no-expiry[=false]
    Ignore any configured auto-expiry for the instance

--reuse[=false]
    If the snapshot name already exists, delete and create a new one

--stateful[=false]
    Whether or not to snapshot the instance's running state

OPTIONS INHERITED FROM PARENT COMMANDS

--debug[=false]
    Show all debug messages

--force-local[=false]
    Force using the local unix socket

-h, --help[=false]
    Print help

--project=""
    Override the source project``

-q, --quiet[=false]
    Don't show progress information

--sub-commands[=false]
    Use with help or --help to view sub-commands

-v, --verbose[=false]
    Show all information messages

--version[=false]
    Print version number

EXAMPLE
      incus snapshot create u1 snap0
      	Create a snapshot of "u1" called "snap0".

      incus snapshot create u1 snap0 < config.yaml
      	Create a snapshot of "u1" called "snap0" with the configuration from "config.yaml".

SEE ALSO

incus-snapshot(1)

HISTORY

27-Apr-2025 Auto generated by spf13/cobra